#ifndef SOCKET_H
#define SOCKET_H

#include <sys/socket.h>
#include <netinet/in.h>
//#include "musicstring.h"
#include <string>

class Socket {
  int fd;
  bool listener;
  struct sockaddr_in address;
  bool dead;
  string buffer;
 public:
  int port;
  Socket();
  Socket(int);
  int connect(const char *, int);
  int connect(int);
  int read(char *, int);
  int write(const char *, int);
  bool get_dead() { return dead; }
  struct sockaddr_in &get_addr() { return address; }
  Socket *accept();
  void close();
  int read_data(char *where);
  int send_data(const char *what) {
	  return write(what, strlen(what)+1);
  }
  virtual ~Socket();
  int getfd() { return fd; }
};

#endif
